> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get System Toasts

> Get all active system toasts for the current tenant.



## OpenAPI

````yaml get /system/system-toasts
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /system/system-toasts:
    get:
      tags:
        - provider
        - system
      summary: Get System Toasts
      description: Get all active system toasts for the current tenant.
      operationId: get_system_toasts_system_system_toasts_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SystemToastSummary'
                type: array
                title: Response Get System Toasts System System Toasts Get
components:
  schemas:
    SystemToastSummary:
      properties:
        id:
          type: integer
          title: Id
          description: The unique identifier of the toast
        content:
          type: string
          title: Content
          description: The content of the toast message
        variant:
          $ref: '#/components/schemas/SystemToastVariant'
          description: The variant/type of the toast
        module:
          anyOf:
            - type: string
            - type: 'null'
          title: Module
          description: The module this toast is for, if any
        displayDuration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Displayduration
          description: Duration in milliseconds to show the toast
        imageUrls:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Imageurls
          description: The image URLs of the toast
      type: object
      required:
        - id
        - content
        - variant
      title: SystemToastSummary
    SystemToastVariant:
      type: string
      enum:
        - error
        - info
        - warning
      title: SystemToastVariant

````